"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpgradeRequiredError = void 0;
const core_1 = require("@typescript-error/core");
class UpgradeRequiredError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `UPGRADE_REQUIRED`;
        options.statusCode = options.statusCode ?? 424;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Upgrade Required`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.UpgradeRequiredError = UpgradeRequiredError;
//# sourceMappingURL=424-upgrade-required.js.map