"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestHeaderFieldsTooLargeError = void 0;
const core_1 = require("@typescript-error/core");
class RequestHeaderFieldsTooLargeError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `REQUEST_HEADER_FIELDS_TOO_LARGE`;
        options.statusCode = options.statusCode ?? 431;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Request Header Fields Too Large`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.RequestHeaderFieldsTooLargeError = RequestHeaderFieldsTooLargeError;
//# sourceMappingURL=431-request-header-fields-too-large.js.map