"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockedByWindowsParentalControlsError = void 0;
const core_1 = require("@typescript-error/core");
class BlockedByWindowsParentalControlsError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS`;
        options.statusCode = options.statusCode ?? 450;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Blocked By Windows Parental Controls`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.BlockedByWindowsParentalControlsError = BlockedByWindowsParentalControlsError;
//# sourceMappingURL=450-blocked-by-windows-parental-controls.js.map