"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyAuthenticationRequiredError = void 0;
const base_1 = require("../base");
class ProxyAuthenticationRequiredError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `PROXY_AUTHENTICATION_REQUIRED`;
        options.statusCode = options.statusCode ?? 407;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Proxy Authentication Required`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.ProxyAuthenticationRequiredError = ProxyAuthenticationRequiredError;
//# sourceMappingURL=407-proxy-authentication-required.js.map