"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestURITooLongError = void 0;
const base_1 = require("../base");
class RequestURITooLongError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `REQUEST_URI_TOO_LONG`;
        options.statusCode = options.statusCode ?? 414;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Request-URI Too Long`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.RequestURITooLongError = RequestURITooLongError;
//# sourceMappingURL=414-request-uri-too-long.js.map