"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestedRangeNotSatisfiableError = void 0;
const base_1 = require("../base");
class RequestedRangeNotSatisfiableError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `REQUESTED_RANGE_NOT_SATISFIABLE`;
        options.statusCode = options.statusCode ?? 416;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Requested Range Not Satisfiable`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.RequestedRangeNotSatisfiableError = RequestedRangeNotSatisfiableError;
//# sourceMappingURL=416-requested-range-not-satisfiable.js.map