"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImATeapotError = void 0;
const base_1 = require("../base");
class ImATeapotError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `IM_A_TEAPOT`;
        options.statusCode = options.statusCode ?? 418;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `I'm a Teapot`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.ImATeapotError = ImATeapotError;
//# sourceMappingURL=418-im-a-teapot.js.map