"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnhanceYourCalmError = void 0;
const base_1 = require("../base");
class EnhanceYourCalmError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `ENHANCE_YOUR_CALM`;
        options.statusCode = options.statusCode ?? 420;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Enhance Your Calm`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.EnhanceYourCalmError = EnhanceYourCalmError;
//# sourceMappingURL=420-enhance-your-calm.js.map