"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnprocessableEntityError = void 0;
const base_1 = require("../base");
class UnprocessableEntityError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `UNPROCESSABLE_ENTITY`;
        options.statusCode = options.statusCode ?? 422;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Unprocessable Entity`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.UnprocessableEntityError = UnprocessableEntityError;
//# sourceMappingURL=422-unprocessable-entity.js.map