"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnorderedCollectionError = void 0;
const base_1 = require("../base");
class UnorderedCollectionError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `UNORDERED_COLLECTION`;
        options.statusCode = options.statusCode ?? 425;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Unordered Collection`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.UnorderedCollectionError = UnorderedCollectionError;
//# sourceMappingURL=425-unordered-collection.js.map