"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreconditionRequiredError = void 0;
const base_1 = require("../base");
class PreconditionRequiredError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `PRECONDITION_REQUIRED`;
        options.statusCode = options.statusCode ?? 428;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Precondition Required`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.PreconditionRequiredError = PreconditionRequiredError;
//# sourceMappingURL=428-precondition-required.js.map