"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetryWithError = void 0;
const base_1 = require("../base");
class RetryWithError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `RETRY_WITH`;
        options.statusCode = options.statusCode ?? 449;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Retry With`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.RetryWithError = RetryWithError;
//# sourceMappingURL=449-retry-with.js.map