"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientClosedRequestError = void 0;
const base_1 = require("../base");
class ClientClosedRequestError extends base_1.ClientError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `CLIENT_CLOSED_REQUEST`;
        options.statusCode = options.statusCode ?? 499;
        options.decorateMessage = options.decorateMessage ?? false;
        options.logMessage = options.logMessage ?? false;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Client Closed Request`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.ClientClosedRequestError = ClientClosedRequestError;
//# sourceMappingURL=499-client-closed-request.js.map