"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPVersionNotSupportedError = void 0;
const base_1 = require("../base");
class HTTPVersionNotSupportedError extends base_1.ServerError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `HTTP_VERSION_NOT_SUPPORTED`;
        options.statusCode = options.statusCode ?? 505;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `HTTP Version Not Supported`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.HTTPVersionNotSupportedError = HTTPVersionNotSupportedError;
//# sourceMappingURL=505-http-version-not-supported.js.map