"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InsufficientStorageError = void 0;
const base_1 = require("../base");
class InsufficientStorageError extends base_1.ServerError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `INSUFFICIENT_STORAGE`;
        options.statusCode = options.statusCode ?? 507;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Insufficient Storage`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.InsufficientStorageError = InsufficientStorageError;
//# sourceMappingURL=507-insufficient-storage.js.map