"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoopDetectedError = void 0;
const base_1 = require("../base");
class LoopDetectedError extends base_1.ServerError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `LOOP_DETECTED`;
        options.statusCode = options.statusCode ?? 508;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Loop Detected`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.LoopDetectedError = LoopDetectedError;
//# sourceMappingURL=508-loop-detected.js.map