"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BandwidthLimitExceededError = void 0;
const base_1 = require("../base");
class BandwidthLimitExceededError extends base_1.ServerError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `BANDWIDTH_LIMIT_EXCEEDED`;
        options.statusCode = options.statusCode ?? 509;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Bandwidth Limit Exceeded`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.BandwidthLimitExceededError = BandwidthLimitExceededError;
//# sourceMappingURL=509-bandwidth-limit-exceeded.js.map