"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotExtendedError = void 0;
const base_1 = require("../base");
class NotExtendedError extends base_1.ServerError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `NOT_EXTENDED`;
        options.statusCode = options.statusCode ?? 510;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Not Extended`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.NotExtendedError = NotExtendedError;
//# sourceMappingURL=510-not-extended.js.map