"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerError = void 0;
const core_1 = require("@typescript-error/core");
class InternalServerError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `INTERNAL_SERVER_ERROR`;
        options.statusCode = options.statusCode ?? 500;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Internal Server Error`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.InternalServerError = InternalServerError;
//# sourceMappingURL=500-internal-server-error.js.map