"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotImplementedError = void 0;
const core_1 = require("@typescript-error/core");
class NotImplementedError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `NOT_IMPLEMENTED`;
        options.statusCode = options.statusCode ?? 501;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Not Implemented`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.NotImplementedError = NotImplementedError;
//# sourceMappingURL=501-not-implemented.js.map