"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadGatewayError = void 0;
const core_1 = require("@typescript-error/core");
class BadGatewayError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `BAD_GATEWAY`;
        options.statusCode = options.statusCode ?? 502;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Bad Gateway`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.BadGatewayError = BadGatewayError;
//# sourceMappingURL=502-bad-gateway.js.map