"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VariantAlsoNegotiatesError = void 0;
const core_1 = require("@typescript-error/core");
class VariantAlsoNegotiatesError extends core_1.BaseError {
    constructor(data, options) {
        options = options ?? {};
        options.code = options.code ?? `VARIANT_ALSO_NEGOTIATES`;
        options.statusCode = options.statusCode ?? 506;
        options.decorateMessage = options.decorateMessage ?? true;
        options.logMessage = options.logMessage ?? true;
        let message = typeof data === 'string' ? data : undefined;
        if (!message) {
            if (data instanceof Error &&
                !options.decorateMessage) {
                message = data.message;
            }
            else {
                message = `Variant Also Negotiates`;
            }
        }
        if (!options.previous &&
            data instanceof Error) {
            options.previous = data;
        }
        super(message, options);
    }
}
exports.VariantAlsoNegotiatesError = VariantAlsoNegotiatesError;
//# sourceMappingURL=506-variant-also-negotiates.js.map